alter table `#__jshopping_products` add `min_price` float(8,2) NOT NULL default '0';

alter table `#__jshopping_config`
add `display_price_admin` TINYINT(1) NOT NULL,  
add `display_price_front` TINYINT(1) NOT NULL,  
add `product_list_show_weight` TINYINT(1) NOT NULL,  
add `product_list_show_manufacturer` TINYINT(1) NOT NULL,  
add `use_extend_tax_rule` TINYINT(4) NOT NULL,
add `use_extend_display_price_rule` TINYINT(4) NOT NULL,
add `fields_register` text NOT NULL,
add `template` VARCHAR(255) NOT NULL,
add `show_product_code` TINYINT(1) NOT NULL,
add `show_product_code_in_cart` TINYINT(1) NOT NULL,
add `savelog` TINYINT(1) NOT NULL,
add `product_list_show_min_price` TINYINT(1) NOT NULL;

alter table `#__jshopping_users` 
add `payment_id` INT NOT NULL,
add `shipping_id` INT NOT NULL,
add `client_type` tinyint(1) NOT NULL,
add `firma_code` VARCHAR( 100 ) NOT NULL,
add `tax_number` VARCHAR( 100 ) NOT NULL,
add `mobil_phone` VARCHAR( 20 ) NOT NULL,
add `ext_field_1` VARCHAR(255) NOT NULL,
add `ext_field_2` VARCHAR(255) NOT NULL,
add `ext_field_3` VARCHAR(255) NOT NULL,
add `d_email` VARCHAR( 255 ) NOT NULL,
add `d_mobil_phone` VARCHAR( 20 ) NOT NULL,
add `d_fax` VARCHAR( 20 ) NOT NULL,
add `d_ext_field_1` VARCHAR(255) NOT NULL,
add `d_ext_field_2` VARCHAR(255) NOT NULL,
add `d_ext_field_3` VARCHAR(255) NOT NULL;

alter table `#__jshopping_orders`
add `client_type` tinyint(1) NOT NULL,
add `firma_code` VARCHAR( 100 ) NOT NULL,
add `tax_number` VARCHAR( 100 ) NOT NULL,
add `mobil_phone` VARCHAR( 20 ) NOT NULL,
add `ext_field_1` VARCHAR(255) NOT NULL,
add `ext_field_2` VARCHAR(255) NOT NULL,
add `ext_field_3` VARCHAR(255) NOT NULL,
add `d_email` VARCHAR( 255 ) NOT NULL,
add `d_mobil_phone` VARCHAR( 20 ) NOT NULL,
add `d_fax` VARCHAR( 20 ) NOT NULL,
add `d_ext_field_1` VARCHAR(255) NOT NULL,
add `d_ext_field_2` VARCHAR(255) NOT NULL,
add `d_ext_field_3` VARCHAR(255) NOT NULL,
add `display_price` tinyint(1) NOT NULL,
add `lang` varchar(16) NOT NULL;

CREATE TABLE IF NOT EXISTS `#__jshopping_taxes_ext` (
  `id` int(11) NOT NULL auto_increment,
  `tax_id` int(11) NOT NULL,
  `zones` text NOT NULL,
  `tax` float(8,2) NOT NULL,
  `firma_tax` float(8,2) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE = MyISAM;

CREATE TABLE IF NOT EXISTS `#__jshopping_config_display_prices` (
  `id` int(11) NOT NULL auto_increment,
  `zones` text NOT NULL,
  `display_price` tinyint(1) NOT NULL,
  `display_price_firma` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE = MyISAM;

update `#__jshopping_config` set `show_product_code`=1, `fields_register` ='a:3:{s:8:"register";a:15:{s:5:"title";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:6:"l_name";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:10:"firma_name";a:1:{s:7:"display";s:1:"1";}s:6:"street";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:3:"zip";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:4:"city";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"state";a:1:{s:7:"display";s:1:"1";}s:7:"country";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"phone";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:3:"fax";a:1:{s:7:"display";s:1:"1";}s:6:"f_name";a:2:{s:7:"require";i:1;s:7:"display";i:1;}s:5:"email";a:2:{s:7:"require";i:1;s:7:"display";i:1;}s:6:"u_name";a:2:{s:7:"require";i:1;s:7:"display";i:1;}s:8:"password";a:2:{s:7:"require";i:1;s:7:"display";i:1;}s:10:"password_2";a:2:{s:7:"require";i:1;s:7:"display";i:1;}}s:7:"address";a:22:{s:5:"title";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:6:"l_name";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:10:"firma_name";a:1:{s:7:"display";s:1:"1";}s:6:"street";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:3:"zip";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:4:"city";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"state";a:1:{s:7:"display";s:1:"1";}s:7:"country";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"phone";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:3:"fax";a:1:{s:7:"display";s:1:"1";}s:7:"d_title";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:8:"d_f_name";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:8:"d_l_name";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:12:"d_firma_name";a:1:{s:7:"display";s:1:"1";}s:8:"d_street";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"d_zip";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:6:"d_city";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:7:"d_state";a:1:{s:7:"display";s:1:"1";}s:9:"d_country";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:7:"d_phone";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:6:"f_name";a:2:{s:7:"require";i:1;s:7:"display";i:1;}s:5:"email";a:2:{s:7:"require";i:1;s:7:"display";i:1;}}s:11:"editaccount";a:22:{s:5:"title";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:6:"l_name";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:10:"firma_name";a:1:{s:7:"display";s:1:"1";}s:6:"street";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:3:"zip";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:4:"city";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"state";a:1:{s:7:"display";s:1:"1";}s:7:"country";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"phone";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:3:"fax";a:1:{s:7:"display";s:1:"1";}s:7:"d_title";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:8:"d_f_name";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:8:"d_l_name";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:12:"d_firma_name";a:1:{s:7:"display";s:1:"1";}s:8:"d_street";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:5:"d_zip";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:6:"d_city";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:7:"d_state";a:1:{s:7:"display";s:1:"1";}s:9:"d_country";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:7:"d_phone";a:2:{s:7:"display";s:1:"1";s:7:"require";s:1:"1";}s:6:"f_name";a:2:{s:7:"require";i:1;s:7:"display";i:1;}s:5:"email";a:2:{s:7:"require";i:1;s:7:"display";i:1;}}}';